<!----------------------------------------------------------------------------------------------------------------------
  -- SiteHeader
  --------------------------------------------------------------------------------------------------------------------->

<template>
  <BNavbar variant="dark-subtle" data-bs-theme="dark">
    <BNavbarBrand href="/">RFI Shipyard</BNavbarBrand>
    <BNavbarNav class="me-auto">
      <BNavItem href="/">
        <FaIcon :icon="[ 'fad', 'house-chimney' ]"></FaIcon>
        Home
      </BNavItem>
    </BNavbarNav>
    <BNavbarNav class="mb-auto">
      <BNavItemDropdown text="Links" right>
        <BDropdownItem to="/about">
          <FaIcon :icon="[ 'fad', 'circle-question' ]"></FaIcon>
          About
        </BDropdownItem>
        <BDropdownItem
            href="https://gitlab.com/skewed-aspect/seed-projects/vue3-bootstrap"
            target="_blank"
        >
          <FaIcon :icon="[ 'fab', 'gitlab' ]" style="color: #f90"></FaIcon>
          GitLab Project
        </BDropdownItem>
      </BNavItemDropdown>
    </BNavbarNav>
  </BNavbar>
</template>

<!--------------------------------------------------------------------------------------------------------------------->

<style scoped lang="scss">

</style>

<!--------------------------------------------------------------------------------------------------------------------->

<script setup lang="ts">

</script>

<!--------------------------------------------------------------------------------------------------------------------->
